Bug 44715 - Missing attribute in the AJP Connector (jk) configuration Doc.
Missing attribute in the AJP Connector (jk) configuration Doc.
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Webapps:Documentation
5.5.26
PC All
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-03-31 12:49 UTC by Fred K
Modified: 2008-07-30 10:54 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fred K 2008-03-31 12:49:34 UTC
Hi,

In the mod_jk documentation:
   http://tomcat.apache.org/connectors-doc/reference/workers.html

I see correctly the description for the Avdanced Worker Directive "secret":

"You can set a secret keyword on the Tomcat AJP Connector. Then only requests from workers with the same secret keyword will be accepted. Use request.useSecret="true" and request.secret="secret key word" in your Tomcat AJP Connector configuration. 

If you set a secret on a load balancer, all its members will inherit this secret. 

This feature has been added in jk 1.2.12."

However, I do not see anymore these request. directives explained in the "Apache Tomcat Configuration Reference" > "The AJP Connector"
   http://tomcat.apache.org/tomcat-6.0-doc/config/ajp.html
   http://tomcat.apache.org/tomcat-5.5-doc/config/ajp.html

Note: that the syntax changed from Tomcat 4.1 to Tomcat 5.5 (I do not know about 5.0).

org.apache.ajp.tomcat4.Ajp13Connector was only one attribute
   secret="secret_word"

It might be a good idea to add a line for these 2 attributes even if just simply refer to the jk documentation.

Thanks - Fred
Comment 1 Mark Thomas 2008-03-31 15:20:45 UTC
This has been fixed intrunk and proposed for 6.0.x and 5.5.x.
Comment 2 Mark Thomas 2008-04-15 10:12:51 UTC
This has been fixed for 6.0.x and will be in 6.0.17 onwards.
Comment 3 Mark Thomas 2008-07-30 10:54:08 UTC
This has been fixed in 5.5.x and will be included in 5.5.27 onwards.